package com.ruoyi.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 基础信息_特殊工具对象 jcxx_tsgj
 * 
 * @author ruoyi
 * @date 2025-08-06
 */
public class JcxxTsgj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工具名称 */
    @Excel(name = "工具名称")
    private String gjmc;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String ggxh;

    /** 使用指南 */
    @Excel(name = "使用指南")
    private String syzn;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setGjmc(String gjmc) 
    {
        this.gjmc = gjmc;
    }

    public String getGjmc() 
    {
        return gjmc;
    }

    public void setGgxh(String ggxh) 
    {
        this.ggxh = ggxh;
    }

    public String getGgxh() 
    {
        return ggxh;
    }

    public void setSyzn(String syzn) 
    {
        this.syzn = syzn;
    }

    public String getSyzn() 
    {
        return syzn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gjmc", getGjmc())
            .append("ggxh", getGgxh())
            .append("syzn", getSyzn())
            .toString();
    }
}
